<template>
  <div id="app">
    <img alt="Vue logo" src="./assets/logo.png">
    <!-- <HelloWorld msg="Welcome to Your Vue.js App"/> -->
    <Contacts msg="Welcome to Your Vue.js App"/>

    <!-- <meta name='viewport' content="navigation" aria-label="main navigation"> -->
    
    <!-- <nav class="navbar" role="navigation" aria-label="navigation"> -->
    <nav class="navbar">
      <div class="navbar-brand">
        <!--
        <router-link src="./assets/name-mark.jpg" class="navbar-item" to="/">
          <img src="./assets/name-mark.jpg" alt="name-mark" width="112" height="28">
        </router-link>
        -->

        <a
          role="button"
          class="navbar-burger burger"
          aria-label="menu"
          aria-expanded="false"
          data-target="navbarBasicExample" :class="{ 'is-active': showNav }" @click="showNav = !showNav"
        >
          <span aria-hidden="true"></span>
          <span aria-hidden="true"></span>
          <span aria-hidden="true"></span>
        </a>
      </div>

      <div id="navgar-end">
        <router-link to="/" class="navbar-item"> Home </router-link>
        <router-link to="/about" class="navbar-item"> About </router-link>
        <router-link to="/projects" class="navbar-item"> Projects </router-link>
        <router-link to="/contact" class="navbar-item"> Contact </router-link>
      </div>
    </nav>


    <router-view />
    <footer class="footer">
      <div>
        <p>Built by Lionel Sermanson with Vue.js, Bulma, and Airtable</p>
      </div>
    </footer>

  </div>
</template>

<script>
// import HelloWorld from './components/HelloWorld.vue'
// import Home from './views/Home.vue'
// import Contacts from './views/Contacts.vue'

export default {
  name: 'app',
  data() {
    return { showNav: false }
  }
  // components: {
  //   // HelloWorld
  // }
  
}
</script>

<style type="text/css">
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;

  min-height: 80vh;
  overflow: hidden;
  display: block;
  position: relative;
  padding-bottom: 168px; /* height of your footer */
} #app, #app * {
  border: 1px dashed #aaa;
  padding: 5px;
}
footer {
  position: absolute; bottom: 0;
  width: 100%;
}
</style>
<style lang="sass">
@import "~bulma/bulma.sass"
</style>
